/*
	(C) 1995-99 AROS - The Amiga Research OS
	$Id: rethinkdisplay.c,v 1.1.1.1 2005/03/15 15:54:21 laire Exp $

	Desc: Intuition function RethinkDisplay()
	Lang: english
*/
#include <proto/graphics.h>
#include <proto/cybergraphics.h>
#include <cybergraphx/cybergraphics.h>
#include "intuition_intern.h"
#include "inputhandler_actions.h"
#include "inputhandler.h"

/*****************************************************************************

	NAME */
#include <proto/intuition.h>

AROS_LH0(LONG, RethinkDisplay,

		 /*  SYNOPSIS */

		 /*  LOCATION */
		 struct IntuitionBase *, IntuitionBase, 65, Intuition)

/*  FUNCTION
	Check and update, ie. redisplay the whole Intuition display.

	INPUTS
	None.

	RESULT
	Zero for success, non-zero for failure.

	NOTES

	EXAMPLE

	BUGS

	SEE ALSO
	RemakeDisplay(), MakeScreen(), graphics.library/MakeVPort(),
	graphics.library/MrgCop(), graphics.library/LoadView()

	INTERNALS

	HISTORY

*****************************************************************************/
{
	AROS_LIBFUNC_INIT
	AROS_LIBBASE_EXT_DECL(struct IntuitionBase *,IntuitionBase)

	return 0;
	AROS_LIBFUNC_EXIT
} /* RethinkDisplay */
